MYTHFILLDATABASE(1)

NAME
mythfilldatabase - MythTV guide database filler

DESCRIPTION
mythfilldatabase version: fixes/36 [v36.0+fixes.20260401.1385cbfc60-0ubuntu1] www.mythtv.org Misc. Options:

--file
    Bypass grabbers and define sourceid and file

--xmlfile
    XML file to import manually

--manual
    Run interactive configuration

--no-mark-repeats
    do not mark repeats

--no-resched
    Do not invoke the rescheduler in the backend.

--offset
    Day offset of input xml file

--preset
    Use channel preset values instead of numbers

-h, --help, --usage
    Display this help printout, or give detailed information of selected option.

--version
    Display version information.

--sourceid
    Operate on single source

Channel List Handling Options:

--do-channel-updates
    update channels

--do-not-filter-new-channels
    don't filter ATSC channels for addition

--only-update-channels
    only update channel lineup

Filtering Options:

--dont-refresh-tba
    don't refresh "To be announced" programs

--max-days
    force number of days to update

--no-allatonce
    Do not use allatonce even if the grabber prefers it.

--refresh
    Provide a day or range of days to refresh. Can be used repeatedly.

Logging Options:

--loglevel
    Set the logging level. All log messages at lower levels will be discarded. In descending order: emerg, alert, crit, err, warning, notice, info, debug, trace defaults to info

--loglong
    Use long log format for the console, i.e. show file, line number, etc. in the console log.

--logpath
    Writes logging messages to a file in the directory logpath with filenames in the format: applicationName.date.pid.log. This is typically used in combination with --daemon, and if used in combination with --pidfile, this can be used with log rotators, using the HUP call to inform MythTV to reload the file

-q, --quiet
    Don't log to the console (-q). Don't log anywhere (-q -q)

--syslog
    Set the syslog logging facility. Set to "none" to disable, defaults to none.

--systemd-journal
    Use systemd-journal instead of syslog.

-v, --verbose
    Specify log filtering. Use '-v help' for level info.

Guide Data Handling Options:

--only-update-guide
    Only update guide data